unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Button6: TButton;
    Button7: TButton;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    CheckBox5: TCheckBox;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    Label4: TLabel;
    Label5: TLabel;
    procedure Button6Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure CheckBox5Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
    procedure Edit2KeyPress(Sender: TObject; var Key: Char);
    procedure Edit3KeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

const pi= 3.141592;

var
  Form1: TForm1;
Var
  S, V, a, b, c: Real;

implementation

{$R *.dfm}

procedure TForm1.Button6Click(Sender: TObject);
begin
  if CheckBox1.Checked then
  begin
    S:=0; V:=0;
    a:= StrToFloat(Edit1.Text);
    b:= StrToFloat(Edit2.Text);
    c:= StrToFloat(Edit3.Text);
    S:= 2*(a*b + b*c + a*c);
    V:= a*b*c;
    Label4.Caption:= FloatToStr(S);
    Label5.Caption:= FloatToStr(V);
  end;

  if CheckBox2.Checked then
  begin
    S:=0; V:=0;
    a:= StrToFloat(Edit1.Text);
    S:= 6*(a*a);
    V:= a*a*a;
    Label4.Caption:= FloatToStr(S);
    Label5.Caption:= FloatToStr(V);
  end;

  if CheckBox3.Checked then
  begin
    S:=0; V:=0;
    a:= StrToFloat(Edit1.Text);
    b:= StrToFloat(Edit2.Text);
    S:= (pi*a*b)+(pi*(a*a));
    V:= 1/3*pi*(a*a)*b;
    Label4.Caption:= FloatToStr(S);
    Label5.Caption:= FloatToStr(V);
  end;

  if CheckBox4.Checked then
  begin
    S:=0; V:=0;
    a:= StrToFloat(Edit1.Text);
    b:= StrToFloat(Edit2.Text);
    S:= 2*pi*(b*a);
    V:= pi*(a*a)*b;
    Label4.Caption:= FloatToStr(S);
    Label5.Caption:= FloatToStr(V);
  end;

  if CheckBox5.Checked then
  begin
    S:=0; V:=0;
    a:= StrToFloat(Edit1.Text);
    S:= 4*pi*(a*a);
    V:= 4/3*pi*(a*a*a);
    Label4.Caption:= FloatToStr(S);
    Label5.Caption:= FloatToStr(V);
  end;

end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  Edit1.Text:= '';
  Edit2.Text:= '';
  Edit3.Text:= '';
  Label4.Caption:= '';
  Label5.Caption:= '';
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  if CheckBox1.Checked then //    CheckBox,   
  begin
    CheckBox2.Checked:= false;
    CheckBox3.Checked:= false;
    CheckBox4.Checked:= false;
    CheckBox5.Checked:= false;
    Label1.Caption:= '';  //   
    Label2.Caption:= '';
    Label3.Caption:= '';
    Edit1.Visible:= True;   //   Edit
    Edit2.Visible:= True;
    Edit3.Visible:= True;
  end;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  if CheckBox2.Checked then
  begin
    CheckBox1.Checked:= false;
    CheckBox3.Checked:= false;
    CheckBox4.Checked:= false;
    CheckBox5.Checked:= false;
    Label1.Caption:= '';
    Label2.Caption:= '';
    Label3.Caption:= '';
    Edit1.Visible:= True;
    Edit2.Visible:= false;
    Edit3.Visible:= false

  end;
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
  if CheckBox3.Checked then
  begin
    CheckBox2.Checked:= false;
    CheckBox1.Checked:= false;
    CheckBox4.Checked:= false;
    CheckBox5.Checked:= false;
    Label1.Caption:= '';
    Label2.Caption:= '';
    Label3.Caption:= '( )';
    Edit1.Visible:= True;
    Edit2.Visible:= True;
    Edit3.Visible:= True;
  end;
end;

procedure TForm1.CheckBox4Click(Sender: TObject);
begin
  if CheckBox4.Checked then
  begin
    CheckBox2.Checked:= false;
    CheckBox3.Checked:= false;
    CheckBox1.Checked:= false;
    CheckBox5.Checked:= false;
    Label1.Caption:= '';
    Label2.Caption:= '';
    Label3.Caption:= '';
    Edit1.Visible:= True;
    Edit2.Visible:= True;
    Edit3.Visible:= false;
  end;
end;

procedure TForm1.CheckBox5Click(Sender: TObject);
begin
  if CheckBox5.Checked then
  begin
    CheckBox2.Checked:= false;
    CheckBox3.Checked:= false;
    CheckBox4.Checked:= false;
    CheckBox1.Checked:= false;
    Label1.Caption:= '';
    Label2.Caption:= '';
    Label3.Caption:= '';
    Edit1.Visible:= True;
    Edit2.Visible:= false;
    Edit3.Visible:= false
  end;
end;

procedure TForm1.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
  case key of  //   
    '0'..'9':;
    ',':;
    #8:; //  
  else Key:= Chr(0); //   
    Application.MessageBox('       "," ' , '!' , 0)
  end;
end;

procedure TForm1.Edit2KeyPress(Sender: TObject; var Key: Char);
begin
  case key of
    '0'..'9':;
    ',':;
    #8:;
  else Key:= Chr(0);
    Application.MessageBox('       "," ' , '!' , 0)
  end;
end;

procedure TForm1.Edit3KeyPress(Sender: TObject; var Key: Char);
begin
  case key of
    '0'..'9':;
    ',':;
    #8:;
  else Key:= Chr(0);
    Application.MessageBox('       "," ' , '!' , 0)
  end;
end;

end.
